Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material.channel
Class GLSLChannelMap

    java.lang.Object
      de.grogra.imp3d.glsl.material.channel.GLSLChannelMap

Direct Known Subclasses:
  GLSLChannelMapNode, GLSLDefaultInput, GLSLGraytone, GLSLPlaneInput, GLSLRGBColor, GLSLSphereTracedInput, GLSLSphereTracedInputParallel

    public abstract class GLSLChannelMap

extends java.lang.Object

Base for all ChannelMaps. Also holds a list of all available GLSLChannelMaps.

Author:
  Konni Hartmann

Constructor Summary
`GLSLChannelMap()`

Method Summary
`abstract Result` | `generate(ChannelMap inp, MaterialConfiguration cs, GLSLChannelMap inpChan, int Channel)` This should be used instead of the other one
`static Result` | `generateResult(ChannelMap inp, MaterialConfiguration sc, GLSLChannelMap inpChan, int requestedChannel)`
`static Result` | `generateResult(ChannelMap inp, MaterialConfiguration sc, GLSLChannelMap inpChan, int requestedChannel, ChannelMap defaultInp)`
`static Result` | `generateResultWithChannelDefault(ChannelMap inp, MaterialConfiguration sc, GLSLChannelMap inpChan, int requestedChannel)`
`static GLSLChannelMap` | `getGLSLObject(ChannelMap inp)`
`static int` | `getMaxResultType(Result a, Result b)`
`static void` | `initMap()`
`abstract java.lang.Class` | `instanceFor()`
`boolean` | `mayDiscard()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLChannelMap

    public GLSLChannelMap()

Method Detail

### generate

    public abstract Result generate(ChannelMap inp,
                                    MaterialConfiguration cs,
                                    GLSLChannelMap inpChan,
                                    int Channel)

  This should be used instead of the other one

  Parameters:
    `inp` -
    `cs` -
    `inpChan` -
    `Channel` -
  Returns:

### generateResult

    public static Result generateResult(ChannelMap inp,
                                        MaterialConfiguration sc,
                                        GLSLChannelMap inpChan,
                                        int requestedChannel)

### generateResult

    public static Result generateResult(ChannelMap inp,
                                        MaterialConfiguration sc,
                                        GLSLChannelMap inpChan,
                                        int requestedChannel,
                                        ChannelMap defaultInp)

### generateResultWithChannelDefault

    public static Result generateResultWithChannelDefault(ChannelMap inp,
                                                          MaterialConfiguration sc,
                                                          GLSLChannelMap inpChan,
                                                          int requestedChannel)

### getGLSLObject

    public static GLSLChannelMap getGLSLObject(ChannelMap inp)

### getMaxResultType

    public static int getMaxResultType(Result a,
                                       Result b)

### initMap

    public static void initMap()

### instanceFor

    public abstract java.lang.Class instanceFor()

### mayDiscard

    public boolean mayDiscard()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD